Name:           lxterminal
Version:        0.1.11
Release:        6%{?dist}
Summary:        Desktop-independent VTE-based terminal emulator
Summary(de):    Desktop-unabhängiger VTE-basierter Terminal Emulator

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
#VCS: git:git://lxde.git.sourceforge.net/gitroot/lxde/lxterminal
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz
Patch1:		lxterminal-0.1.11-desktop.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.6
BuildRequires:  vte-devel >= 0.20.0
BuildRequires:  desktop-file-utils intltool gettext

%description
LXterminal is a VTE-based terminal emulator with support for multiple tabs. 
It is completely desktop-independent and does not have any unnecessary 
dependencies. In order to reduce memory usage and increase the performance 
all instances of the terminal are sharing a single process.

%description -l de
LXTerminal ist ein VTE-basierter Terminalemulator mit Unterstützung für 
mehrere Reiter. Er ist komplett desktop-unabhängig und hat keine unnötigen 
Abhängigkeiten. Um den Speicherverbrauch zu reduzieren und die Leistung zu
erhöhen teilen sich alle Instanzen des Terminals einen einzigen Prozess.

%prep
%setup -q

%patch1 -p1 -b .desk

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
desktop-file-install --vendor="fedora"                     \
  --delete-original                                        \
  --remove-category=Utility                                \
  --add-category=System                                    \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications          \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}*.1.gz



%changelog
* Sun Mar 10 2013 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.11-6
- rebuild, srpm from rels
